function F = myfun1(theta,Y)

% to compute the MLE estimates...(Reed and Jorgensen, 2004)
n = length(Y);
m = mean(Y);
p = theta(1)*theta(3) - (Y-m + 1/theta(1) - 1/theta(2) )/theta(3);
q = theta(2)*theta(3) + (Y-m + 1/theta(1) - 1/theta(2) )/theta(3);
M = log(  (1-normcdf(p)).*normpdf(q) + (1-normcdf(q)).*normpdf(p) ) + .5*(log(2*pi)+p.^2) + .5*(log(2*pi)+q.^2);
F = n*log(theta(1)) + n*log(theta(2)) - n*log(theta(1)+theta(2)) + sum( -.5*(log(2*pi) + ( (Y-m + 1/theta(1) - 1/theta(2))/theta(3) ).^2)   ) + sum(M);
F = -F;