function w = truncnormvect(mu,sigma,wmin)
%
% mu is a vector of means of length k, so k values of w are generated.
% sigma and wmin are constants.
% generar w ~ N(mu,sigma) donde w > wmin. 
%
k = length(mu);
w = zeros (1,k);
mulim=(wmin-mu)/sigma;

% Para aquellos valores menores de .45
z=(mulim < 0.45); % es un vector con 1's en aquellos lugares de mulim menores de .45 y 0's donde no.
zz=1-z; % al reves que el anterior.
sumz=sum(z); % es decir es el numero de valores menores que .45.
sumzz=sum(zz); % numero de valores mayores que .45.
%zz==1

while (sumz > 0) % mientras haya algun valor menor que .45,
    w(z==1)=normrnd(mu(z==1),sigma,1,sumz);
    z(w>wmin)=0;
    sumz=sum(z);
end   
%w
%ss=sumz;
while (sumzz>0)
   uu=rand(1,sumzz);
   ww=exprnd(1./mulim(zz==1))+mulim(zz==1);
   muzz=mu(zz==1);
   p=exp(-0.5*(ww.^2 + mulim(zz==1).^2)+mulim(zz==1).*ww);
   %uu<p
   ww(uu<p)=ww(uu<p)*sigma+muzz(uu<p);
   w(zz==1)=ww;
   zz(zz==1)=1-(uu<p);
   %zz
   %zz(uu<p)=0 mike, creo que era el error
   sumzz=sum(zz);
end
%ss2=sumzz

